Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp.config
Class FormTestConfig

    java.lang.Object
      tle.framework.component.impl.rp.config.FormTestConfig

    public class FormTestConfig

extends java.lang.Object

설정 파일의 <test> 태그의 값을 저장한다.

Since:
  2.0.5
Author:
  최범균

Constructor Summary
`FormTestConfig()`
`FormTestConfig(java.lang.String parameterName, java.lang.String validatorName, java.lang.String constraint, java.lang.String errrorMessage)`

Method Summary
`java.lang.String` | `getConstraint()`
`java.lang.String` | `getErrrorMessage()`
`java.lang.String` | `getParameterName()`
`java.lang.String` | `getValidatorName()`
`void` | `setConstraint(java.lang.String constraint)`
`void` | `setErrrorMessage(java.lang.String errrorMessage)`
`void` | `setParameterName(java.lang.String parameterName)`
`void` | `setValidatorName(java.lang.String validatorName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTestConfig

    public FormTestConfig()

### FormTestConfig

    public FormTestConfig(java.lang.String parameterName,
                          java.lang.String validatorName,
                          java.lang.String constraint,
                          java.lang.String errrorMessage)

Method Detail

### getConstraint

    public java.lang.String getConstraint()

### setConstraint

    public void setConstraint(java.lang.String constraint)

### getErrrorMessage

    public java.lang.String getErrrorMessage()

### setErrrorMessage

    public void setErrrorMessage(java.lang.String errrorMessage)

### getParameterName

    public java.lang.String getParameterName()

### setParameterName

    public void setParameterName(java.lang.String parameterName)

### getValidatorName

    public java.lang.String getValidatorName()

### setValidatorName

    public void setValidatorName(java.lang.String validatorName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD